XmStringByteCompare(3Xm)

NAME
XmStringByteCompare — a compound string function that indicates the results of a byte-by-byte comparison.

SYNOPSIS
#include <Xm/Xm.h>

Boolean XmStringByteCompare (s1, s2)
    XmString    s1;
    XmString    s2;

DESCRIPTION
XmStringByteCompare returns a Boolean indicating the results of a byte-by-byte comparison of two compound strings. In some cases, once a compound string is put into a widget, that string is converted into an internal form to allow faster processing. Part of the conversion process strips out unnecessary or redundant information. If an application then does an XtGetValues to retrieve a compound string from a widget (specifically, Label and all of its subclasses), it is not guaranteed that the compound string returned will be byte-for-byte the same as the string given to the widget originally.

s1  Specifies a compound string to be compared with s2.

s2  Specifies a compound string to be compared with s1.

RETURN VALUE
Returns True if two compound strings are identical byte-by-byte.

RELATED INFORMATION
XmStringCreate(3Xm).